[@rxap/material-table-system](../wiki/globals) / LinkCellComponent

# Class: LinkCellComponent

Defined in: [packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:23](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts#L23)

## Constructors

### new LinkCellComponent()

> **new LinkCellComponent**(): [`LinkCellComponent`](../wiki/Class.LinkCellComponent)

#### Returns

[`LinkCellComponent`](../wiki/Class.LinkCellComponent)

## Properties

### protocol?

> `optional` **protocol**: `"tel"` \| `"mailto"`

Defined in: [packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:36](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts#L36)

***

### short

> **short**: `boolean` = `true`

Defined in: [packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:39](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts#L39)

***

### value

> **value**: `any`

Defined in: [packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:26](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts#L26)

## Accessors

### href

#### Get Signature

> **get** **href**(): `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:28](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts#L28)

##### Returns

`string`
